| Version: 3.0.5

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Modules Pages
Public Member Functions | List of all members
wxHtmlModalHelp Class Reference
Class List by Category » Help Class List by Category » | HTML

`#include <wx/html/helpctrl.h>`

## Detailed Description

This class uses wxHtmlHelpController to display help in a modal dialog.

This is useful on platforms such as wxMac where if you display help from a modal dialog, the help window must itself be a modal dialog.

Create objects of this class on the stack, for example:

// The help can be browsed during the lifetime of this object; when the
// user quits the help, program execution will continue.
wxHtmlModalHelp help(parent, "help", "My topic");

##

Library: wxHTML
Category: Help, HTML

## Public Member Functions

| wxHtmlModalHelp (wxWindow *parent, const wxString &helpFile, const wxString &topic=wxEmptyString, int style=wxHF_DEFAULT_STYLE|wxHF_DIALOG|wxHF_MODAL)
| The ctor. More...

## Constructor & Destructor Documentation

wxHtmlModalHelp::wxHtmlModalHelp | ( | wxWindow * | parent,
|  | const wxString & | helpFile,
|  | const wxString & | topic = `wxEmptyString`,
|  | int | style = `wxHF_DEFAULT_STYLE|wxHF_DIALOG|wxHF_MODAL`
| ) |  |

The ctor.

Parameters

  parent | is the parent of the dialog.
  helpFile | is the HTML help file to show.
  topic | is an optional topic. If this is empty, the help contents will be shown.
  style | is a combination of the flags described in the wxHtmlHelpController documentation.